#### Previous topic

scipy.sparse.random

#### Next topic

scipy.sparse.issparse

# scipy.sparse.find

`scipy.sparse.``find`(A)

  Return the indices and values of the nonzero elements of a matrix

  Parameters:

  A : dense or sparse matrix

  > Matrix whose nonzero elements are desired.

  Returns:

  (I,J,V) : tuple of arrays

  > I,J, and V contain the row indices, column indices, and values of the nonzero matrix entries.

  Examples

      >>> from scipy.sparse import csr_matrix, find
      >>> A = csr_matrix([[7.0, 8.0, 0],[0, 0, 9.0]])
      >>> find(A)
      (array([0, 0, 1], dtype=int32), array([0, 1, 2], dtype=int32), array([ 7.,  8.,  9.]))